> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token holders

> Current holders sorted by balance (ERC-721/1155: number of tokens held).



## OpenAPI

````yaml /elysium/openapi-rest.json get /elysium/testnet/tokens/{address}/holders
openapi: 3.0.3
info:
  title: HL Indexer API — Elysium Testnet
  version: 1.0.0
  description: >-
    Elysium testnet (Kinetiq L2 on HyperEVM testnet, chain 99801): blocks,
    transactions, logs, batches, bridge HyperEVM ↔ Elysium, tokens and accounts.
servers:
  - url: https://api.hypedexer.com
    description: EU production
security: []
tags:
  - name: Elysium Testnet
    description: Elysium testnet chain, settlement batches, bridge, tokens and accounts.
paths:
  /elysium/testnet/tokens/{address}/holders:
    get:
      tags:
        - Elysium Testnet
      summary: Token holders
      description: 'Current holders sorted by balance (ERC-721/1155: number of tokens held).'
      parameters:
        - name: address
          in: path
          schema:
            type: string
            pattern: ^0x[0-9a-fA-F]{40}$
            description: Token contract address
          required: true
          description: Token contract address
        - name: limit
          in: query
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
        - name: X-API-Key
          in: header
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TokenHolder'
                  execution_time_ms:
                    type: number
                  has_more:
                    type: boolean
        '422':
          description: Invalid parameter
components:
  schemas:
    TokenHolder:
      properties:
        address:
          title: Address
          type: string
        balance_raw:
          title: Balance Raw
          type: string
        balance:
          title: Balance
          type: number
        share:
          default: null
          title: Share
          type: number
          nullable: true
      required:
        - address
        - balance_raw
        - balance
      title: TokenHolder
      type: object

````